Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aspects.security
Class SecurityClientInterceptor

    java.lang.Object
      org.jboss.aspects.security.SecurityClientInterceptor

All Implemented Interfaces:
  org.jboss.aop.advice.Interceptor, Serializable

public final class SecurityClientInterceptor
extends Object
implements org.jboss.aop.advice.Interceptor, Serializable

The AuthenticationInterceptor authenticates the caller.

Version:
  $Revision: 1.3.2.9 $
Author:
  Bill Burke
See Also:
  Serialized Form

Field Summary
`static SecurityClientInterceptor` | `singleton`

Constructor Summary
`SecurityClientInterceptor()`

Method Summary
`String` | `getName()`
`Object` | `invoke(org.jboss.aop.joinpoint.Invocation invocation)` Authenticates the caller using the principal and credentials in the Infocation if thre is a security manager and an invcocation method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### singleton

    public static final SecurityClientInterceptor singleton

Constructor Detail

### SecurityClientInterceptor

    public SecurityClientInterceptor()

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in interface `org.jboss.aop.advice.Interceptor`

### invoke

    public Object invoke(org.jboss.aop.joinpoint.Invocation invocation)
                  throws Throwable

  Authenticates the caller using the principal and credentials in the Infocation if thre is a security manager and an invcocation method.

  Specified by:
    `invoke` in interface `org.jboss.aop.advice.Interceptor`
  Throws:
    `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.